<template>
<v-container>
  <v-breadcrumbs :items="items" divider="/" class="pl-0"></v-breadcrumbs>

  <course-title
    title="Linux"
    subtitle="для студентов и школьников"
    :img="require('@/assets/img/logo-linux.svg')"
    ></course-title>

  <qa title="С чем можно обращаться">
    <ul class="mb-5">
      <li>Изучение и помощь по Linux</li>
      <li>Написание программ и скриптов под Linux</li>
      <li>Администрирование и другие задачи</li>
    </ul>

    <v-alert type="info" border="left" colored-border>
      Радует, что студентам дают Linux в России. Стали обращаться чаще.
    </v-alert>
  </qa>

  <qa title="Стоимость">
    <prices-regular/>
    <stud-lab-note></stud-lab-note>
  </qa>

</v-container>
</template>

<script>
import { mapState } from 'vuex';

export default {
  metaInfo: {
    title: 'Linux',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Linux',
      },
    ],
  },
  computed: {
    remote() {
      return this.repetitor.prices.remote;
    },
    msk() {
      return this.repetitor.prices.msk;
    },
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  components: {
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    qa: () => import('@/common/QA.vue'),
    'stud-lab-note': () => import('@/common/StudLabNote.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
  },
  data: () => ({
    items: [
      {
        text: 'Курсы',
        to: '/courses',
        exact: true,
      },
      {
        text: 'Linux',
        to: '/courses/linux',
      },
    ],
  }),
};
</script>
